<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.company.mapper.CompanyMapper">

    <resultMap type="com.zhongzheng.modules.company.domain.Company" id="CompanyResult">
        <result property="companyId" column="company_id"/>
        <result property="companyName" column="company_name"/>
        <result property="companyType" column="company_type"/>
        <result property="companySize" column="company_size"/>
        <result property="industryType" column="industry_type"/>
        <result property="industryTypeName" column="industry_type_name"/>
        <result property="companyIntroduce" column="company_introduce"/>
        <result property="logoUrl" column="logo_url"/>
        <result property="licenseUrl" column="license_url"/>
        <result property="societyCode" column="society_code"/>
        <result property="province" column="province"/>
        <result property="city" column="city"/>
        <result property="address" column="address"/>
        <result property="companyPh" column="company_ph"/>
        <result property="linkMan" column="link_man"/>
        <result property="postBox" column="post_box"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
    </resultMap>

    <select id="selectIndustry" resultType="integer" parameterType="map">
        select trade_id FROM compony_trade where trade_name=#{industry} LIMIT 1
    </select>

</mapper>